Subject: Re: What's cooking in git.git (Jun 2014, #01; Tue, 3)

From: Richard Hansen <[email-masked]>
Date: Tue, 03 Jun 2014 19:52:45 -0400

On 2014-06-03 18:16, Junio C Hamano wrote:
> * rh/prompt-tests (2014-05-30) 10 commits
>  - t9904: new __git_ps1 tests for Zsh
>  - lib-prompt-tests.sh: add variable for string that encodes percent in PS1
>  - lib-prompt-tests.sh: put all tests inside a function
>  - t9903: move prompt tests to a new lib-prompt-tests.sh file
>  - t9903: move PS1 color code variable definitions to lib-bash.sh
>  - t9903: include "Bash" in test names via new $shellname var
>  - t9903: run pc mode tests again with PS1 expansion disabled
>  - t9903: move test name prefix to a separate variable
>  - t9903: put the Bash pc mode prompt test cases in a function
>  - t9903: remove Zsh test from the suite of Bash prompt tests
> 
>  Will merge to 'next'.

Please hold off on merging -- I just discovered some bugs while
conversing with the zsh developers about some zsh shell emulation stuff
I didn't fully understand.  (Surprisingly, the tests in that patch
series are actually run in zsh's sh emulation mode.)

Thanks,
Richard